package Refactoring.LongExample1.Before;

public class CorporateClient extends Client {

    private final double retainer = 500;

    public double amountOwing(int daysWorked) {
        double base = retainer + (daysWorked / 30.0) * monthlyRate();
        double discount = 500.0 + base * 0.02;
        return base - discount;
    }

    private double monthlyRate() {
        return 500;
    }

}
