import java.io.FileReader;
import java.io.BufferedReader;

public class FileContainer
{
    private final BufferedReader bufferReader; //these don't change so made them final
    private final FileReader fileReader;

    public FileContainer(BufferedReader aBufferedReader, 
                         FileReader aFileReader)
    {
        bufferReader = aBufferedReader;
        fileReader = aFileReader;
    }

    public BufferedReader getBufferedReader()
    {
        return(bufferReader);
    }

    public FileReader getFileReader()
    {
        return(fileReader);
    }
}