class OrderProcessor2 {

    public double processOrder(int quantity, double price) {
        return calculateFinalPrice(quantity, price); // Call the query method directly
    }

    private double calculateTotalPrice(int quantity, double price) {
        return quantity * price; // Query method to calculate total price
    }

    private double calculateDiscount(double totalPrice) {
        if (totalPrice > 1000) {
            return totalPrice * 0.1; // 10% discount
        } else {
            return totalPrice * 0.05; // 5% discount
        }
    }

    private double calculateFinalPrice(int quantity, double price) {
        double totalPrice = calculateTotalPrice(quantity, price); // Query method for total price
        double discount = calculateDiscount(totalPrice); // Query method for discount
        return totalPrice - discount; // Return final price
    }

    public static void main(String[] args) {
        OrderProcessor2 processor = new OrderProcessor2();
        System.out.println("Final price: " + processor.processOrder(5, 250));
    }
}
